DefineStringStatement
Keywords: uk.ac.ic.doc.automed.templates.wrapper.DefineStringStatement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class DefineStringStatement

    java.lang.Object
      uk.ac.ic.doc.automed.templates.wrapper.TStatement
          uk.ac.ic.doc.automed.templates.wrapper.DefineStringStatement

    public class DefineStringStatement

extends TStatement

Field Summary
`protected TemplateArgumentSequence` | `listArgSeq`
`protected TemplateArgumentSequence` | `statementArgSeq`

Fields inherited from class uk.ac.ic.doc.automed.templates.wrapper.TStatement
`fromSchemaARG, self, statementType, toSchemaARG`

Constructor Summary
`DefineStringStatement(int type)`

Method Summary
`void` | `concat(java.lang.Object[] strs)`
`void` | `concat(java.lang.String str)`
`void` | `concat(TArgument str)`
`protected int` | `createExecutionStatement(int position, CompositeTransformation trans)`
`protected java.lang.String` | `getArgumentDescription(TStatementArgument sa)`
`TStatementArgument` | `getConcatenationOp()`
`protected java.lang.String` | `getStatementDescription()`
`TStatementArgument` | `getString()`
`protected int` | `numberOfElements(TStatementArgument sa)`
`TStatementArgument` | `resultingSchema()`
`protected void` | `rollback()`
`void` | `setConcatenationOp(java.lang.String op)`
`void` | `setFromSchema(TArgument sch)`
`void` | `setString(TArgument str)`
`protected void` | `updateRepository()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statementArgSeq

    protected TemplateArgumentSequence statementArgSeq

### listArgSeq

    protected TemplateArgumentSequence listArgSeq

Constructor Detail

### DefineStringStatement

    public DefineStringStatement(int type)
                          throws TemplateDefinitionException

Throws:
  `TemplateDefinitionException`

Method Detail

### setString

    public void setString(TArgument str)
                   throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### concat

    public void concat(TArgument str)
                throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### concat

    public void concat(java.lang.String str)

### concat

    public void concat(java.lang.Object[] strs)
                throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### getString

    public TStatementArgument getString()

### getConcatenationOp

    public TStatementArgument getConcatenationOp()

### setConcatenationOp

    public void setConcatenationOp(java.lang.String op)

### setFromSchema

    public void setFromSchema(TArgument sch)
                       throws TemplateDefinitionException

  Specified by:
    `setFromSchema` in class `TStatement`
  Throws:
    `TemplateDefinitionException`

### resultingSchema

    public TStatementArgument resultingSchema()

  Specified by:
    `resultingSchema` in class `TStatement`

### getArgumentDescription

    protected java.lang.String getArgumentDescription(TStatementArgument sa)

  Specified by:
    `getArgumentDescription` in class `TStatement`

### numberOfElements

    protected int numberOfElements(TStatementArgument sa)

  Specified by:
    `numberOfElements` in class `TStatement`

### updateRepository

    protected void updateRepository()
                             throws TemplateDefinitionException

  Specified by:
    `updateRepository` in class `TStatement`
  Throws:
    `TemplateDefinitionException`

### createExecutionStatement

    protected int createExecutionStatement(int position,
                                           CompositeTransformation trans)
                                    throws TemplateDefinitionException

  Specified by:
    `createExecutionStatement` in class `TStatement`
  Throws:
    `TemplateDefinitionException`

### rollback

    protected void rollback()
                     throws TemplateDefinitionException

  Specified by:
    `rollback` in class `TStatement`
  Throws:
    `TemplateDefinitionException`

### getStatementDescription

    protected java.lang.String getStatementDescription()

  Specified by:
    `getStatementDescription` in class `TStatement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD